Description: Fix array overrun when minor is equal to 16
 There is an array overrun when minor is equal to the size of
 array st7554_table in st7554_open. Fix this by making the
 comparison to be >= rather than >.
 .
 Signed-off-by: Colin Ian King <colin.king@canonical.com>
Author: Signed-off-by: Colin Ian King <colin.king@canonical.com>
Bug-Ubuntu: https://bugs.launchpad.net/bugs/1832718

Index: sl-modem/drivers/st7554.c
===================================================================
--- sl-modem.orig/drivers/st7554.c	2019-06-17 03:46:47.059759477 +0200
+++ sl-modem/drivers/st7554.c	2019-06-17 03:47:44.643990028 +0200
@@ -1004,7 +1004,7 @@
 	struct st7554_state *s;
 	unsigned minor = MINOR(inode->i_rdev);
 	USB_DBG("st7554 open...\n");
-	if(minor > arrsize(st7554_table))
+	if(minor >= arrsize(st7554_table))
 		return -ENODEV;
 	down(&open_sem);
 	s = st7554_table[minor];
